# Source: pwnedworker/templates/deployment-redis.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: pwnedworker-redis
  labels:
    app.kubernetes.io/name: pwnedworker
    app.kubernetes.io/instance: pwnedworker
    app.kubernetes.io/managed-by: Helm
    helm.sh/chart: pwnedworker-0.1.0
    app.kubernetes.io/component: redis
spec:
  replicas: 1
  strategy:
    type: Recreate
  selector:
    matchLabels:
      app.kubernetes.io/name: pwnedworker
      app.kubernetes.io/instance: pwnedworker
      app.kubernetes.io/component: redis
  template:
    metadata:
      labels:
        app.kubernetes.io/name: pwnedworker
        app.kubernetes.io/instance: pwnedworker
        app.kubernetes.io/component: redis
    spec:
      serviceAccountName: pwnedworker
      nodeSelector:
        kubernetes.io/arch: amd64
      containers:
        - name: redis
          image: registry.7dev.net.br/pwnedworker/redis:7-alpine
          ports:
            - name: redis
              containerPort: 6379
          readinessProbe:
            exec:
              command: ["redis-cli", "ping"]
            initialDelaySeconds: 5
            periodSeconds: 10
          livenessProbe:
            exec:
              command: ["redis-cli", "ping"]
            initialDelaySeconds: 10
            periodSeconds: 20
          resources:
            limits:
              cpu: 250m
              memory: 256Mi
            requests:
              cpu: 100m
              memory: 128Mi
